View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000513aMuleMiscpublic2005-07-27 08:592005-12-11 00:37
Reporterdarksidex 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000513: When a download finishes, a new one is resumed, but not from the same category
DescriptionI have in preferences: "Start next paused file when a file completed" and "From the same category", but when a download from a category finishes, and in that category they are more files paused, amule resumes a download, it doesn't matter if it is in the same category or not.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001601)
Xaignar (manager)
2005-12-09 13:51

Does this problem still occur in current CVS?
(0001604)
darksidex (reporter)
2005-12-09 22:05
edited on: 2005-12-09 22:09

CVS 30-11-2005, yes, it does.

I wrote a little patch to resume downloads depending on filename if two files have same priority. Ask kry, he was going to add this feature to prefs. The patch: http://forum.amule.org/thread.php?postid=44913#post44913 [^]

I think this little patch fix this issue too

editada el: 12-09-05 22:08

editada el: 12-09-05 22:09
(0001605)
Xaignar (manager)
2005-12-09 22:10

Ok, I'll look at it and ask Kry. In the future, it's better to post patches to the Development forum, since it's the only forum which all developers can read. ;)
(0001624)
Xaignar (manager)
2005-12-11 00:37

StartNextFile now works properly. As for your patch, I dont agree with your solution. However, I agree that the feature is a good idea, and have added a feature request to the tracker: http://bugs.amule.org/view.php?id=714 [^]

- Issue History
Date Modified Username Field Change
2005-07-27 08:59 darksidex New Issue
2005-12-09 13:51 Xaignar Note Added: 0001601
2005-12-09 22:05 darksidex Note Added: 0001604
2005-12-09 22:08 darksidex Note Edited: 0001604
2005-12-09 22:09 darksidex Note Edited: 0001604
2005-12-09 22:10 Xaignar Note Added: 0001605
2005-12-10 02:39 Xaignar Status new => assigned
2005-12-10 02:39 Xaignar Assigned To => Xaignar
2005-12-11 00:37 Xaignar Status assigned => resolved
2005-12-11 00:37 Xaignar Fixed in Version => CVS
2005-12-11 00:37 Xaignar Resolution open => fixed
2005-12-11 00:37 Xaignar Note Added: 0001624


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker